summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-19 22:35:25 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-20 09:00:31 +0200
commit7e5ee73de954e6c084195b0a1fa6ef01a78d092f (patch)
tree7219c86cd7bc94b145e6e31779a1654ba5998e4c /source
parenta27618d0d02506153de111da1055a5af43245d13 (diff)
downloadcurrent-7e5ee73de954e6c084195b0a1fa6ef01a78d092f.tar.gz
current-7e5ee73de954e6c084195b0a1fa6ef01a78d092f.tar.xz
Tue Jun 19 22:35:25 UTC 201820180619223525
a/acl-2.2.53-x86_64-1.txz: Upgraded. a/attr-2.4.48-x86_64-1.txz: Upgraded. n/gnupg-1.4.23-x86_64-1.txz: Upgraded. Sanitize the diagnostic output of the original file name in verbose mode. By using a made up file name in the message it was possible to fake status messages. Using this technique it was for example possible to fake the verification status of a signed mail. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12020 (* Security fix *) x/libXaw3d-1.6.3-x86_64-1.txz: Upgraded. x/libinput-1.11.1-x86_64-1.txz: Upgraded. x/xf86-input-mouse-1.9.3-x86_64-1.txz: Upgraded. testing/packages/pkgtools-15.0-noarch-20.txz: Rebuilt. This update is a bit scarier than usual, so we're going to test it here first and then move it into the main tree in a couple of days if there are no serious bug reports. It's well-tested here, and works with the slackpkg that's in -current now, but I don't know about slackpkg+ so that's another reason to let it cool down here first. The purpose of this update is to migrate the package database and directories from /var/log to /var/lib/pkgtools. /var/log was never a good place for this data, as it is considered by many to be a directory that could be wiped to free up some space. Originally the package database was in /var/adm, but the FSSTND (later FHS) group decided that directory should be a symlink to /var/log, and I went along with that since it was years ago and I was a n00b and didn't know any better. /var/lib/pkgtools will be a better and safer location. The removed_packages and removed_scripts directories are really just logs that aren't actually used for anything - those will remain under /var/log, but moved into /var/log/pkgtools. Everything under /var/log will be considered potentially non-permanent by the pkgtools - if any directories or symlinks disappear from there, the pkgtools will automatically recreate them as needed. In fact, the migration process will create symlinks from all the old directory locations to the new ones, so anything that expects the old locations (including slackpkg, for now) should continue to work. Once this moves into the main tree, the plan is to fix other packages to use the new installer script directory (/var/lib/pkgtools/setup) and change the installer and slackpkg to use the new native locations for everything. When slackpkg is changed over to use the new native locations, I'll also make sure to float that in testing/ for a few days before moving it to the main tree to avoid more unintentional disruption to slackpkg+ users. Be aware that the package database migration is a one-way operation, but even so if you later downgrade to an older version of the pkgtools it will still work through the compatibility symlinks.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/acl/acl.SlackBuild53
-rw-r--r--source/a/acl/acl.url1
-rw-r--r--source/a/acl/slack-desc2
-rwxr-xr-xsource/a/attr/attr.SlackBuild55
-rw-r--r--source/a/attr/attr.url1
-rw-r--r--source/a/attr/doinst.sh14
-rwxr-xr-xsource/n/gnupg/gnupg.SlackBuild2
-rw-r--r--source/x/x11/build/libXaw3d2
-rw-r--r--source/x/x11/build/xf86-input-mouse2
-rw-r--r--source/x/x11/patch/xf86-input-mouse.patch2
-rw-r--r--source/x/x11/patch/xf86-input-mouse/3c8f243b750a92d5837a449d344ff884dbd02b57.patch42
-rwxr-xr-xsource/xap/sane/sane.SlackBuild1
12 files changed, 85 insertions, 92 deletions
diff --git a/source/a/acl/acl.SlackBuild b/source/a/acl/acl.SlackBuild
index 83e78f9dd..9d024b207 100755
--- a/source/a/acl/acl.SlackBuild
+++ b/source/a/acl/acl.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=acl
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 4- -d . | rev | cut -f 2 -d -)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -53,13 +53,15 @@ else
LIBDIRSUFFIX=""
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
rm -rf $PKG
-mkdir -p $TMP $PKG
+mkdir -p $TMP $PKG/usr/lib${LIBDIRSUFFIX}
cd $TMP
rm -rf acl-$(echo $VERSION | cut -f 1 -d '-')
-tar xvf $CWD/acl-$VERSION.src.tar.?z || exit 1
+tar xvf $CWD/acl-$VERSION.tar.?z || exit 1
cd acl-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .
@@ -70,22 +72,19 @@ find . \
-exec chmod 644 {} \;
./configure \
- --prefix=/ \
- --exec-prefix=/ \
- --sbindir=/bin \
- --bindir=/usr/bin \
- --libdir=/lib${LIBDIRSUFFIX} \
- --libexecdir=/usr/lib${LIBDIRSUFFIX} \
- --includedir=/usr/include \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--mandir=/usr/man \
- --datadir=/usr/share \
+ --infodir=/usr/info \
+ --disable-static \
--docdir=/usr/doc/acl-$VERSION \
--build=$ARCH-slackware-linux || exit 1
-make PKG_DOC_DIR=/usr/doc/acl-$VERSION || exit 1
-make install PKG_DOC_DIR=/usr/doc/acl-$VERSION DESTDIR=$PKG || exit 1
-make install-dev PKG_DOC_DIR=/usr/doc/acl-$VERSION DESTDIR=$PKG || exit 1
-make install-lib PKG_DOC_DIR=/usr/doc/acl-$VERSION DESTDIR=$PKG || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
#It would be nice to keep the same timestamps that the files have in the source:
cp -a \
@@ -96,17 +95,23 @@ cp -a \
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
-# Remove bogus files:
-rm -f $PKG/lib${LIBDIRSUFFIX}/*.a $PKG/lib${LIBDIRSUFFIX}/libacl.so $PKG/lib${LIBDIRSUFFIX}/*.la $PKG/usr/lib${LIBDIRSUFFIX}/*.la
-# Make /usr/lib${LIBDIRSUFFIX}/libacl.so a symlink to /lib${LIBDIRSUFFIX}:
+# Don't ship static libraries:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+# Move libraries, as they might be needed by programs that bring a network
+# mounted /usr online:
+mkdir $PKG/lib${LIBDIRSUFFIX}
( cd $PKG/usr/lib${LIBDIRSUFFIX}
- rm -f libacl.so
- ln -sf /lib${LIBDIRSUFFIX}/libacl.so.1 libacl.so
+ for file in lib*.so.?.* ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+ cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
)
-# Fix shared library perms:
-chmod 755 $PKG/lib${LIBDIRSUFFIX}/*
# Gzip the man pages:
( cd $PKG/usr/man
diff --git a/source/a/acl/acl.url b/source/a/acl/acl.url
new file mode 100644
index 000000000..ea5a80b32
--- /dev/null
+++ b/source/a/acl/acl.url
@@ -0,0 +1 @@
+http://download.savannah.nongnu.org/releases/acl
diff --git a/source/a/acl/slack-desc b/source/a/acl/slack-desc
index a3b5966fd..95f100fce 100644
--- a/source/a/acl/slack-desc
+++ b/source/a/acl/slack-desc
@@ -13,7 +13,7 @@ acl: POSIX Access Control Lists. POSIX Access Control Lists (defined in
acl: POSIX 1003.1e draft standard 17) are used to define more fine-grained
acl: discretionary access rights for files and directories.
acl:
+acl: Homepage: http://savannah.nongnu.org/projects/acl
acl:
acl:
-acl: Homepage: http://savannah.nongnu.org/projects/acl
acl:
diff --git a/source/a/attr/attr.SlackBuild b/source/a/attr/attr.SlackBuild
index f9593d5dd..1254c5ca1 100755
--- a/source/a/attr/attr.SlackBuild
+++ b/source/a/attr/attr.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=attr
-VERSION=2.4.47
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -53,12 +53,14 @@ else
LIBDIRSUFFIX=""
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf attr-$(echo $VERSION | cut -f 1 -d '-')
-tar xvf $CWD/attr-$VERSION.src.tar.?z || exit 1
+tar xvf $CWD/attr-$VERSION.tar.?z || exit 1
cd attr-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .
find . \
@@ -68,22 +70,39 @@ find . \
-exec chmod 644 {} \;
./configure \
- --prefix=/ \
- --exec-prefix=/ \
- --sbindir=/bin \
- --bindir=/usr/bin \
- --libdir=/lib${LIBDIRSUFFIX} \
- --libexecdir=/usr/lib${LIBDIRSUFFIX} \
- --includedir=/usr/include \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--mandir=/usr/man \
- --datadir=/usr/share \
+ --infodir=/usr/info \
--docdir=/usr/doc/attr-$VERSION \
+ --disable-static \
--build=$ARCH-slackware-linux || exit 1
-make PKG_DOC_DIR=/usr/doc/attr-$VERSION || exit 1
-make install PKG_DOC_DIR=/usr/doc/attr-$VERSION DESTDIR=$PKG || exit 1
-make install-dev PKG_DOC_DIR=/usr/doc/attr-$VERSION DESTDIR=$PKG || exit 1
-make install-lib PKG_DOC_DIR=/usr/doc/attr-$VERSION DESTDIR=$PKG || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Install xattr.conf as a .new file:
+mv $PKG/etc/xattr.conf $PKG/etc/xattr.conf.new
+
+# Don't ship static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+# Move libraries, as they might be needed by programs that bring a network
+# mounted /usr online:
+mkdir $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in lib*.so.?.* ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+ cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
+)
#It would be nice to keep the same timestamps that the files have in the source:
rm -rf $PKG/usr/doc/attr-$VERSION/ea-conv
@@ -95,11 +114,6 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
-# Remove bogus files:
-rm -f $PKG/lib${LIBDIRSUFFIX}/*.a $PKG/lib${LIBDIRSUFFIX}/libattr.so $PKG/lib${LIBDIRSUFFIX}/*.la $PKG/usr/lib${LIBDIRSUFFIX}/*.la
-# Make /usr/lib${LIBDIRSUFFIX}/libattr.so a symlink to /lib${LIBDIRSUFFIX}:
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
-ln -sf /lib${LIBDIRSUFFIX}/libattr.so.1 $PKG/usr/lib${LIBDIRSUFFIX}/libattr.so
# Fix shared library perms:
chmod 755 $PKG/lib${LIBDIRSUFFIX}/*
@@ -111,6 +125,7 @@ chmod 755 $PKG/lib${LIBDIRSUFFIX}/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/attr-$(echo $VERSION | tr - _ )-$ARCH-$BUILD.txz
diff --git a/source/a/attr/attr.url b/source/a/attr/attr.url
new file mode 100644
index 000000000..f9f14b84f
--- /dev/null
+++ b/source/a/attr/attr.url
@@ -0,0 +1 @@
+http://download.savannah.nongnu.org/releases/attr
diff --git a/source/a/attr/doinst.sh b/source/a/attr/doinst.sh
new file mode 100644
index 000000000..ca6ce568e
--- /dev/null
+++ b/source/a/attr/doinst.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/xattr.conf.new
diff --git a/source/n/gnupg/gnupg.SlackBuild b/source/n/gnupg/gnupg.SlackBuild
index 5de0ee6cf..8836b5526 100755
--- a/source/n/gnupg/gnupg.SlackBuild
+++ b/source/n/gnupg/gnupg.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gnupg
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/x/x11/build/libXaw3d b/source/x/x11/build/libXaw3d
index b8626c4cf..d00491fd7 100644
--- a/source/x/x11/build/libXaw3d
+++ b/source/x/x11/build/libXaw3d
@@ -1 +1 @@
-4
+1
diff --git a/source/x/x11/build/xf86-input-mouse b/source/x/x11/build/xf86-input-mouse
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xf86-input-mouse
+++ b/source/x/x11/build/xf86-input-mouse
@@ -1 +1 @@
-3
+1
diff --git a/source/x/x11/patch/xf86-input-mouse.patch b/source/x/x11/patch/xf86-input-mouse.patch
deleted file mode 100644
index e54c5190b..000000000
--- a/source/x/x11/patch/xf86-input-mouse.patch
+++ /dev/null
@@ -1,2 +0,0 @@
-zcat $CWD/patch/xf86-input-mouse/3c8f243b750a92d5837a449d344ff884dbd02b57.patch.gz \
- | patch -p1 --verbose || { touch ${SLACK_X_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/x/x11/patch/xf86-input-mouse/3c8f243b750a92d5837a449d344ff884dbd02b57.patch b/source/x/x11/patch/xf86-input-mouse/3c8f243b750a92d5837a449d344ff884dbd02b57.patch
deleted file mode 100644
index 5726c50ae..000000000
--- a/source/x/x11/patch/xf86-input-mouse/3c8f243b750a92d5837a449d344ff884dbd02b57.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-From 3c8f243b750a92d5837a449d344ff884dbd02b57 Mon Sep 17 00:00:00 2001
-From: Adam Jackson <ajax@redhat.com>
-Date: Thu, 16 Feb 2017 09:21:21 -0500
-Subject: Adapt to removal of xf86GetOS
-
-Signed-off-by: Adam Jackson <ajax@redhat.com>
----
- src/mouse.c | 11 +++++------
- 1 file changed, 5 insertions(+), 6 deletions(-)
-
-diff --git a/src/mouse.c b/src/mouse.c
-index dae98aa..40d97a9 100644
---- a/src/mouse.c
-+++ b/src/mouse.c
-@@ -794,7 +794,6 @@ InitProtocols(void)
- {
- int classes;
- int i;
-- const char *osname = NULL;
-
- if (osInfo)
- return TRUE;
-@@ -821,11 +820,11 @@ InitProtocols(void)
- mouseProtocols[i].id = PROT_UNSUP;
-
- /* NetBSD uses PROT_BM for "PS/2". */
-- xf86GetOS(&osname, NULL, NULL, NULL);
-- if (osname && xf86NameCmp(osname, "netbsd") == 0)
-- for (i = 0; mouseProtocols[i].name; i++)
-- if (mouseProtocols[i].id == PROT_PS2)
-- mouseProtocols[i].id = PROT_BM;
-+#if defined(__NetBSD__)
-+ for (i = 0; mouseProtocols[i].name; i++)
-+ if (mouseProtocols[i].id == PROT_PS2)
-+ mouseProtocols[i].id = PROT_BM;
-+#endif
-
- return TRUE;
- }
---
-cgit v1.1
-
diff --git a/source/xap/sane/sane.SlackBuild b/source/xap/sane/sane.SlackBuild
index e14b943b1..f66739c17 100755
--- a/source/xap/sane/sane.SlackBuild
+++ b/source/xap/sane/sane.SlackBuild
@@ -152,6 +152,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+rm -f /usr/lib${LIBDIRSUFFIX}/libsane.la
# List additional backends in /etc/sane.d/dll.conf.
# I don't think it will hurt anything to do this, even